#
# spec file for package scite (Version 1.38)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  glib glib-devel gnome-core gnome-libs-devel gpp gtk gtk-devel libgpp xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gnome-core gnome-libs-devel gpm gpp gppshare grep groff gtk gtk-devel gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         scite
%define       gnome_prefix /opt/gnome
Copyright:    free
Group:        X11/Applications
URL:          http://www.scintilla.org/
Autoreqprov:  on
Version:      1.38
Release:      79
Summary:      SciTE
Source:       scite138.tar.bz2
Patch0:       scite138.patch
Patch1:       scite138-ia64.patch
Patch2:       scite138-axp.patch
BUildRoot:    %{_tmppath}/%{name}-build

%description
SciTE is a SCIntilla based Text Editor.
Originally built to demonstrate Scintilla, it has grown to be a generally useful editor with
facilities for building and running programs. It is best used for jobs with simple
configurations - I use it for building test and demonstration programs as well as SciTE
and Scintilla, themselves.
Scintilla is a free source code editing component. As well as features found in standard text
editing components, Scintilla includes features especially useful when editing and debugging
source code. These include support for syntax styling, error indicators, code completion and
call tips. The selection margin can contain markers like those used in debuggers to indicate
breakpoints and the current line. Styling choices are more open than with many editors,
allowing the use of proportional fonts, bold and italics, multiple foreground and background
colours and multiple fonts.
It comes with complete source code and may be used in any free project or commercial product.

Authors:
--------
    Neil Hodgson <neilh@scintilla.org>

SuSE series: xap

%prep
%setup -n scite
%patch0
%patch1
%patch2
#
cd ..
find . -type f -exec chmod 644 {} \;

%build
make -C ../scintilla/gtk
make -C gtk

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT -C gtk install 
#
install -d -m 755 $RPM_BUILD_ROOT/%{_mandir}/man1/
mv doc/%{name}.1 $RPM_BUILD_ROOT/%{_mandir}/man1/SciTE.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc License.txt readme doc
%doc %{_mandir}/man1/*
%{gnome_prefix}/bin/*
%{gnome_prefix}/share/gnome/apps/Applications/*
%{gnome_prefix}/share/pixmaps/*
%{gnome_prefix}/share/scite

%changelog -n scite
* Mon Aug 27 2001 - pmladek@suse.cz
- fixed to compile on axp:
  * removed unused redeclaration of function strcasestr
* Thu Jul 19 2001 - pmladek@suse.cz
- updated to version 1.38
- scintilla sources are included in scite sources
* Thu Jun 28 2001 - pmladek@suse.cz
- fixed cast warnings on ia64
- added BuildRoot
- fixed man page
- fixed rights of files
- bzipped sources
- cleaned up specfile
* Fri Apr 20 2001 - ray@suse.de
- init package version 1.37
